% Loads and prints out some examples of classes for each property

A = load('properties.mat');
fs = fields(A);
for i=1:length(fs)
    f = fs{i};
    if strcmp(f,'synsets')
        continue;
    end
    fprintf('%s\n',f);
    un = unique(A.(f));
    for j=1:length(un)
        ind = find(A.(f) == un(j));
        ind = ind(randperm(length(ind)));
        fprintf('  %i) ',un(j));
        for k=1:min(length(ind),5)
            fprintf('%s| ', A.synsets(ind(k)).words);
        end
        fprintf('\n');
    end
end

